summaryrefslogtreecommitdiff
path: root/dev-python/google-api-python-client/google-api-python-client-1.8.3-r1.ebuild
diff options
context:
space:
mode:
authorPalica <palica+gitlab@liguros.net>2020-06-23 22:35:08 +0200
committerPalica <palica+gitlab@liguros.net>2020-06-23 22:35:08 +0200
commitecdac123787b96ce6649f0f91da12ea6458cc2b1 (patch)
treeb89c74d9e6fe6e8aebc4c77bcbeb4ab73214127d /dev-python/google-api-python-client/google-api-python-client-1.8.3-r1.ebuild
parent1be72aa41cf41dedadeecf59dca9f01de6381f5e (diff)
downloadbaldeagleos-repo-ecdac123787b96ce6649f0f91da12ea6458cc2b1.tar.gz
baldeagleos-repo-ecdac123787b96ce6649f0f91da12ea6458cc2b1.tar.xz
baldeagleos-repo-ecdac123787b96ce6649f0f91da12ea6458cc2b1.zip
Updating liguros repo
Diffstat (limited to 'dev-python/google-api-python-client/google-api-python-client-1.8.3-r1.ebuild')
-rw-r--r--dev-python/google-api-python-client/google-api-python-client-1.8.3-r1.ebuild49
1 files changed, 49 insertions, 0 deletions
diff --git a/dev-python/google-api-python-client/google-api-python-client-1.8.3-r1.ebuild b/dev-python/google-api-python-client/google-api-python-client-1.8.3-r1.ebuild
new file mode 100644
index 000000000000..fe3d45109573
--- /dev/null
+++ b/dev-python/google-api-python-client/google-api-python-client-1.8.3-r1.ebuild
@@ -0,0 +1,49 @@
+# Copyright 1999-2020 Gentoo Authors
+# Distributed under the terms of the GNU General Public License v2
+
+EAPI=7
+
+PYTHON_COMPAT=( python3_{6,7,8} )
+
+inherit distutils-r1
+
+DESCRIPTION="Google API Client for Python"
+HOMEPAGE="https://github.com/google/google-api-python-client"
+SRC_URI="https://github.com/google/google-api-python-client/archive/v${PV}.tar.gz -> ${P}.tar.gz"
+
+LICENSE="Apache-2.0"
+SLOT="0"
+KEYWORDS="~amd64 ~arm ~arm64 ~x86"
+IUSE="test"
+RESTRICT="!test? ( test )"
+
+RDEPEND="
+ dev-python/chardet[${PYTHON_USEDEP}]
+ >=dev-python/httplib2-0.9.2[${PYTHON_USEDEP}]
+ <dev-python/httplib2-1[${PYTHON_USEDEP}]
+ dev-python/setuptools[${PYTHON_USEDEP}]
+ dev-python/google-api-core[${PYTHON_USEDEP}]
+ >=dev-python/google-auth-1.4.1[${PYTHON_USEDEP}]
+ >=dev-python/google-auth-httplib2-0.0.3[${PYTHON_USEDEP}]
+ >=dev-python/uritemplate-3.0[${PYTHON_USEDEP}]
+ <dev-python/uritemplate-4[${PYTHON_USEDEP}]
+ >=dev-python/six-1.6.1[${PYTHON_USEDEP}]
+ <dev-python/six-2[${PYTHON_USEDEP}]
+ "
+DEPEND="${RDEPEND}
+ test? (
+ dev-python/google-auth-httplib2[${PYTHON_USEDEP}]
+ dev-python/oauth2client[${PYTHON_USEDEP}]
+ dev-python/unittest2[${PYTHON_USEDEP}]
+ )"
+
+PATCHES=(
+ "${FILESDIR}/google-api-python-client-1.8.3-tests.patch"
+)
+
+distutils_enable_tests pytest
+
+python_test() {
+ distutils_install_for_testing
+ pytest -vv || die "tests fail with ${EPYTHON}"
+}